%global realname riak_ensemble
%global upstream basho


Name:		erlang-%{realname}
Version:	2.1.2
Release:	4%{?dist}
Summary:	Multi-Paxos framework in Erlang
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/%{upstream}/%{realname}
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
%endif
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
Patch1:		erlang-riak_ensemble-0001-Remove-deprecated-BIF.patch
Patch2:		erlang-riak_ensemble-0002-Fix-deprecation-warning-while-building-with-Erlang-1.patch
BuildRequires:	erlang-eleveldb
BuildRequires:	erlang-lager
BuildRequires:	erlang-rebar
#BuildRequires:	erlang-riak_test
%{?__erlang_nif_version:Requires: %{__erlang_nif_version}}


%description
A consensus library that supports creating multiple consensus groups
(ensembles). Each ensemble is a separate Multi-Paxos instance with its own
leader, set of members, and state.

Each ensemble also supports an extended API that provides consistent key/value
operations. Conceptually, this is identical to treating each key as a separate
Paxos entity. However, this isn't accomplished by having each key maintain its
own Paxos group. Instead, an ensemble emulates per-key consensus through a
combination of per-key and per-ensemble state.


%prep
%setup -q -n %{realname}-%{version}
%patch1 -p1 -b .deprecated_bifs
%patch2 -p1 -b .deprecated_erl_19


%build
%{erlang_compile}


%install
%{erlang_install}


%check
#%%{erlang_test}


%files
%license LICENSE
%doc doc/ README.md
%{erlang_appdir}/


%changelog
* Wed Aug 17 2016 Peter Lemenkov <lemenkov@gmail.com> - 2.1.2-4
- Fix FTBFS with Erlang 19

* Sun Aug 07 2016 Igor Gnatenko <ignatenko@redhat.com> - 2.1.2-3
- Rebuild for Erlang 19

* Thu Jun  2 2016 Peter Lemenkov <lemenkov@gmail.com> - 2.1.2-2
- Re-enable debuginfo generation disabled by mistake

* Wed Mar 16 2016 Peter Lemenkov <lemenkov@gmail.com> - 2.1.2-1
- Ver. 2.1.2
